Name:		wsjtx
Summary:	Provides popular modes for Weak Signal digital Amateur Radio
Version:	2.3.0
Release:	%mkrel 1
License:	GPLv3
Url:		http://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html
Group:		Communications/Radio
Source0:	http://www.physics.princeton.edu/pulsar/K1JT/%{name}-%{version}.tgz
Patch0:		wsjtx-2.1.2-mga-hamlib_binary_conflicts.patch
Patch1:		wsjtx-2.1.2-mga-fix_build_with_system_hamlib.patch

BuildRequires:	asciidoc
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	gcc-c++
BuildRequires:	gcc-gfortran
BuildRequires:	git
BuildRequires:	hamlib-utils
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(hamlib)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtmultimedia5
BuildRequires:	ruby-asciidoctor
BuildRequires:	subversion
BuildRequires:	texinfo

%description
WSJT-X is a program designed to facilitate basic amateur radio communication
using very weak signals. The first four letters in the program name stand for
“Weak Signal communication by K1JT,” while the suffix “-X” indicates that
WSJT-X started as an extended (and experimental) branch of the program WSJT.
This package is aimed primarily at the LF, MF, and HF bands and now includes
the following modes: FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, WSPR and Echo.

%prep
%setup -q
mv src ../src
rm -f *
tar -xzf ../src/%{name}.tgz
cp -rf %{name}/* .
rm -rf ../src
%patch0 -p1
%patch1 -p1

# remove bundled boost.
rm -rf boost

# convert CR + LF to LF
dos2unix *.ui *.iss *.txt

%build
%cmake_qt5  \
			-DPC_HAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DHAMLIB_LIBRARY_DIRS=%{_libdir} \
			-DBoost_NO_SYSTEM_PATHS=FALSE \
			-DBoost_INCLUDE_DIR=%{_includedir} \
			-DCMAKE_BUILD_TYPE=Release

%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_docdir}/WSJT-X/{INSTALL,COPYING,changelog.Debian.gz,copyright}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-Mageia-CrossDesktop' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%doc %{_docdir}/%{name}/
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/*


%changelog
* Wed Feb 03 2021 barjac <barjac> 2.3.0-1.mga8
+ Revision: 1674593
- new version 2.3.0
- new BR qt5Test
- dir name change

* Thu Dec 17 2020 umeabot <umeabot> 2.2.2-3.mga8
+ Revision: 1660299
- Rebuild for new Qt5

* Sat Oct 31 2020 barjac <barjac> 2.2.2-2.mga8
+ Revision: 1640764
- rebuild for hamlib-4.1

* Mon Jun 29 2020 barjac <barjac> 2.2.2-1.mga8
+ Revision: 1600357
- new version 2.2.2

* Tue Jun 09 2020 barjac <barjac> 2.2.1-1.mga8
+ Revision: 1591449
-new version 2.2.1
- drop two patches

* Fri Jun 05 2020 barjac <barjac> 2.2.0-1.mga8
+ Revision: 1590605
- new version 2.2.0
- drop two patches

* Thu Feb 20 2020 daviddavid <daviddavid> 2.1.2-3.mga8
+ Revision: 1546639
- add patch to fix build with Qt 5.14
  * std::hash specializations for some Qt types were introduced in Qt 5.14
  * https://phabricator.kde.org/D24491
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 2.1.2-2.mga8
+ Revision: 1486357
- rebuild for hamlib-4.0

* Thu Dec 19 2019 barjac <barjac> 2.1.2-1.mga8
+ Revision: 1469015
- new version 2.1.2
- dont use bundled hamlib
- strip all but wsjtx from upstream tarball
- add patches in prep for hamlib 4

* Mon Nov 25 2019 barjac <barjac> 2.1.0-1.mga8
+ Revision: 1462826
- new version 2.1.0
- dont use bundled boost
- several new BRs
- removed obsolete obsolete
- fix some line endings

* Tue Apr 02 2019 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1385267
- Qt5 Rebuild

* Wed Feb 27 2019 barjac <barjac> 2.0.1-1.mga7
+ Revision: 1370442
- new version 2.0.1

* Sat Jan 19 2019 barjac <barjac> 2.0.0-1.mga7
+ Revision: 1358024
- new version 2.0.0
- upstream now provide composite tarball
- so tarball script removed
- removed un-needed patch
- added two new BRs
- cleaned spec and updated Source0

* Sun Sep 23 2018 umeabot <umeabot> 1.9.1-3.mga7
+ Revision: 1301719
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 barjac <barjac> 1.9.1-2.mga7
+ Revision: 1245848
- rebuild for libgfortran

* Tue Jun 19 2018 barjac <barjac> 1.9.1-1.mga7
+ Revision: 1237951
- re-write tarball creation script in line with
- upstream move from svn to git and add capability add patches to tarball
- so upstream build system can apply them as intended
- Add back document build (BR ruby-asciidoc) or menu option appears broken
- change qt-11.1 patch to a Source file as we dont want rpm to apply it
+ daviddavid <daviddavid>
- new version: 1.9.1
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Dec 08 2017 barjac <barjac> 1.8.0-1.mga7
+ Revision: 1181640
- new full version 1.8.0
- use upstream doc directory name as its hardcoded in GUI
- minor change to .desktop file (cross-desktop)
- minor summary and description edits

* Sun Dec 03 2017 barjac <barjac> 1.8.0-0.rc3.1.mga7
+ Revision: 1180750
- new version 1.8.0-rc3
- new BR Qt5PrintSupport
- Doc dir name changed

* Mon Sep 11 2017 tv <tv> 1.7.0-3.mga7
+ Revision: 1152907
- rebuild for new libgfortran

* Tue Dec 20 2016 barjac <barjac> 1.7.0-2.mga6
+ Revision: 1076196
- obsolete kvasd-installer
- remove buildrequires that were only needed for docs

* Mon Dec 19 2016 barjac <barjac> 1.7.0-1.mga6
+ Revision: 1076175
- new version 1.7.0

* Wed Feb 17 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 963284
- Mageia 6 Mass Rebuild

* Mon Dec 14 2015 barjac <barjac> 1.6.0-1.mga6
+ Revision: 910373
- new full release 1.6.0

* Fri Dec 11 2015 barjac <barjac> 1.6.0-0.rc2.1.mga6
+ Revision: 909472
- new version 1.6.0-rc2

* Fri Nov 27 2015 barjac <barjac> 1.6.0-0.rc1.1.mga6
+ Revision: 906441
- new package wsjtx

